> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /api/v1/inventory

> GET /api/v1/inventory

### Query parameters

<ParamField query="product_id" type="string,null" />

<ParamField query="location_id" type="string,null" />

<ParamField query="low_stock" type="boolean,null" />

<ParamField query="limit" type="integer,null (int32)" />

<ParamField query="offset" type="integer,null (int32)" />

### Responses

<ResponseField name="200" type="ApiResponse_InventoryListResponse">
  Inventory list returned
</ResponseField>

<ResponseField name="401" type="ErrorResponse">
  Unauthorized
</ResponseField>

<ResponseField name="429" type="ErrorResponse">
  Rate limit exceeded
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/inventory' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": {
      "items": [],
      "page": 1,
      "per_page": 50,
      "total": 150
    },
    "errors": null,
    "message": null,
    "meta": null,
    "success": true
  }
  ```
</ResponseExample>
